/* Theming */
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;700&display=swap");

:root {
	--white: #ffffff;
	--black: #4c4b4b;
	--grey: #bdbdbd;
}

/* Reset */
* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

body {
	background-color: var(--white);
	font-family: "Poppins", sans-serif;
	color: var(--black);
}

article p,
article h1,
article h2 {
	padding-left: 2em;
	padding-right: 2em;
	padding-bottom: 1em;
}

a {
	text-decoration: none;
}

ul {
	list-style: none;
}

/* Header */
.header {
	background-color: var(--black);
	box-shadow: 1px 1px 5px 0px var(--grey);
	position: sticky;
	top: 0;
	width: 100%;
}

/* Logo */
.logo {
	display: inline-block;
	color: var(--white);
	font-size: 60px;
	margin-left: 10px;

}

/* Nav menu */
.nav {
	width: 100%;
	height: 100%;
	position: fixed;
	background-color: var(--black);
	overflow: hidden;

}

.menu a {
	display: block;
	padding: 30px;
	color: var(--white);

}

.menu a:hover {
	background-color: var(--grey);
}

.nav {
	max-height: 0;
	transition: max-height .5s ease-out;
}

/* Menu Icon */

.hamb {
	cursor: pointer;
	float: right;
	padding: 40px 20px;
}


.hamb-line {
	background: var(--white);
	display: block;
	height: 2px;
	position: relative;
	width: 24px;

}

.hamb-line::before,
.hamb-line::after {
	background: var(--white);
	content: '';
	display: block;
	height: 100%;
	position: absolute;
	transition: all .2s ease-out;
	width: 100%;
}

.hamb-line::before {
	top: 5px;
}

.hamb-line::after {
	top: -5px;
}


.side-menu {
	display: none;
}

/* Toggle menu icon */

.side-menu:checked~nav {
	max-height: 100%;
}

.side-menu:checked~.hamb .hamb-line {
	background: transparent;
}

.side-menu:checked~.hamb .hamb-line::before {
	transform: rotate(-45deg);
	top: 0;

}

.side-menu:checked~.hamb .hamb-line::after {
	transform: rotate(45deg);
	top: 0;
}


/* Responsiveness */

@media (min-width: 768px) {
	.nav {
		max-height: none;
		top: 0;
		position: relative;
		float: right;
		width: fit-content;
		background-color: transparent;

	}

	.menu li {
		float: left;
	}

	.menu a:hover {
		background-color: transparent;
		color: var(--grey);

	}

	.hamb {
		display: none;
	}
}

.mase_image {
	max-width: 300px;
	float: right;
	padding: 0.5em;
	margin: 0.5em;
	border-color: var(--grey);
	border-style: solid;
	border-width: 1px;
}

.footer {
	font-size: 0.8em;
	padding-bottom: 0.8em;
	padding-top: 0.8em;
	background-color: var(--black);
	color: var(--white);
	text-align: center;
	padding: 0.5em;
}